【友盟+】开发者社区

【紧急】“自动更新”报错,导致应用崩溃

36人才 发表于 2014-11-14 19:15:30 |

36人才
36人才 发表于 2014-9-22 11:10:52 | 显示全部楼层 |阅读模式
本帖最后由 36人才 于 2014-9-22 13:45 编辑

您好,“自动更新”报错,导致应用崩溃。
截图如下:

可能是同事自动更新相关的.jar包和.so不一致导致,请问:有什么办法补救吗
09-22 11:06:03.778: E/AndroidRuntime(13989): Caused by: java.lang.UnsatisfiedLinkError: Native method not found: com.umeng.common.util.DeltaUpdate.bspatch:(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)I


MSNLitePic 2014-09-22 11_03_11.jpg



上一篇:【急】自动更新 提示“下载出错啦,请检查网络后继续。”
下一篇:自动更新如何Debug测试


push更新
push更新 发表于 2014-9-22 13:47:13 | 显示全部楼层
您好,你这里的问题是so中的包名没更新,您应该用的还是比较老版本的sdk吧,请您更新下sdk,最新版sdk下载地址  : http://dev.umeng.com/auto-update/android/sdk-download

36人才
36人才 发表于 2014-9-22 13:52:52 | 显示全部楼层
push更新 发表于 2014-9-22 13:47
您好,你这里的问题是so中的包名没更新,您应该用的还是比较老版本的sdk吧,请您更新下sdk,最新版sdk下载 ...

关键是已经上传到umeng的是这个有问题的版本,再改了上传新版本,老版本还是更新出错,该怎么办?

36人才
36人才 发表于 2014-9-22 14:12:10 | 显示全部楼层
push更新 发表于 2014-9-22 13:47
您好,你这里的问题是so中的包名没更新,您应该用的还是比较老版本的sdk吧,请您更新下sdk,最新版sdk下载 ...

是同事当时添加自动更新的功能时,没注意到那个问题,用了以前的版本,导致已经上传到umeng的版本有这个问题,请问,你们那边能给出什么好的办法补救?(紧急),谢谢

push更新
push更新 发表于 2014-9-22 14:37:12 | 显示全部楼层
现在是最新版本嘛,我们可以把最新版本通过我们后台删除掉,然后你们再更新sdk,重新上传最新版本。

birdfly
birdfly 发表于 2014-9-22 14:56:38 | 显示全部楼层
push更新 发表于 2014-9-22 14:37
现在是最新版本嘛,我们可以把最新版本通过我们后台删除掉,然后你们再更新sdk,重新上传最新版本。 ...

用户已经下载了老版本(有问题的版本)。   所以即使最新的没有问题,用户在更新的时候还是会出错。

push更新
push更新 发表于 2014-9-22 17:14:33 | 显示全部楼层
你们现在是下载出错啊,直接删除出错的那个版本就好啦?还是之前出错的版本还下载成功过?

birdfly
birdfly 发表于 2014-9-22 17:36:30 | 显示全部楼层
push更新 发表于 2014-9-22 17:14
你们现在是下载出错啊,直接删除出错的那个版本就好啦?还是之前出错的版本还下载成功过? ...

下载成功过,这次更新版本的时候才发现。所以不知道如何解决?

birdfly
birdfly 发表于 2014-9-22 17:38:17 | 显示全部楼层
push更新 发表于 2014-9-22 17:14
你们现在是下载出错啊,直接删除出错的那个版本就好啦?还是之前出错的版本还下载成功过? ...

1.0到1.1是没问题的。1.0到1.2更新也是没问题的。1.1到1.2就报上面这个错误了。

push更新
push更新 发表于 2014-9-22 17:58:22 | 显示全部楼层
。。。这个还有够纠结的,是刚发布的嘛,如果不行的话,先建议,排查一下,整体升级情况,删除一下最新版本呀。

birdfly
birdfly 发表于 2014-9-22 18:03:50 | 显示全部楼层
push更新 发表于 2014-9-22 17:58
。。。这个还有够纠结的,是刚发布的嘛,如果不行的话,先建议,排查一下,整体升级情况,删除一下最新版本 ...

不是刚发布的啊,1.1有很多人下载使用了。

push更新
push更新 发表于 2014-9-22 18:12:14 | 显示全部楼层
那1,2是刚发布的?可以对1.2进行删除嘛,然后先进行测试,每个版本都适用了,再重新发布啊

36人才
36人才 发表于 2014-9-22 20:55:24 | 显示全部楼层
push更新 发表于 2014-9-22 18:12
那1,2是刚发布的?可以对1.2进行删除嘛,然后先进行测试,每个版本都适用了,再重新发布啊 ...

V1.1版本已经有很多人在用了,我们要发布新版本V1.2,刚发布,测试自动更新,就直接报上面的错误,应用崩溃,所以求助您们,希望你们能协助解决,谢谢

36人才
36人才 发表于 2014-9-24 09:52:45 | 显示全部楼层
push更新 发表于 2014-9-22 18:12
那1,2是刚发布的?可以对1.2进行删除嘛,然后先进行测试,每个版本都适用了,再重新发布啊 ...

已经发了私信,看一下

36人才
36人才 发表于 2014-9-25 14:24:32 | 显示全部楼层
push更新 发表于 2014-9-22 18:12
那1,2是刚发布的?可以对1.2进行删除嘛,然后先进行测试,每个版本都适用了,再重新发布啊 ...

还是同样的问题,你们再确认一下是否解决好了,谢谢。

push更新
push更新 发表于 2014-9-25 14:45:09 | 显示全部楼层
我已经帮您删除啦,您看看最新版本是不是1,1啦,然后新包一定要先测试好,再上传,可以新建一个测试账号。

36人才
36人才 发表于 2014-9-25 15:07:28 | 显示全部楼层
push更新 发表于 2014-9-25 14:45
我已经帮您删除啦,您看看最新版本是不是1,1啦,然后新包一定要先测试好,再上传,可以新建一个测试账号。 ...

您删的是哪个版本?已经在用V1.1的用户现在能能正常升级到V1.2了吗?

push更新
push更新 发表于 2014-9-25 15:20:04 | 显示全部楼层
我删除的是1,2啊,当然需要您重新测试最新版本的啊, 不是不能升级到1,2,然后1,1有不少用户嘛。

36人才
36人才 发表于 2014-9-25 15:31:23 | 显示全部楼层
push更新 发表于 2014-9-25 15:20
我删除的是1,2啊,当然需要您重新测试最新版本的啊, 不是不能升级到1,2,然后1,1有不少用户嘛。 ...

您们除了删除1.2版本,还做了什么处理没?

push更新
push更新 发表于 2014-9-25 15:39:12 | 显示全部楼层
没有,目前除了删除并没有做其他的处理,希望您再测试一下,再反馈给我们,我们会进行处理

36人才
36人才 发表于 2014-9-25 15:42:50 | 显示全部楼层
push更新 发表于 2014-9-25 15:39
没有,目前除了删除并没有做其他的处理,希望您再测试一下,再反馈给我们,我们会进行处理 ...

您们技术的同事有看过我在帖子里发的错误日志吗?


36人才
36人才 发表于 2014-9-25 16:10:14 | 显示全部楼层
push更新 发表于 2014-9-25 15:59
查看啦,就是您没有更新so文件啊,您一定要检查和加入so文件的。

当时其他同事加了.so文件(文件大小57K),但是版本与.jar不一致,同时mainfest中声明的service为“com.umeng.common.net.DownloadingService

36人才
36人才 发表于 2014-9-25 16:11:54 | 显示全部楼层
push更新 发表于 2014-9-25 15:59
查看啦,就是您没有更新so文件啊,您一定要检查和加入so文件的。

我们刚重新申请umeng的appkey进行测试,自动更新时,还是同样的程序崩溃问题,错误日志跟先前一样,您们再查看一下。

36人才
36人才 发表于 2014-9-28 12:03:57 | 显示全部楼层
push更新 发表于 2014-9-25 15:59
查看啦,就是您没有更新so文件啊,您一定要检查和加入so文件的。

我们现在是不是可以上传以前那两个应用V1.2的新版本?

push更新
push更新 发表于 2014-9-28 13:10:50 | 显示全部楼层
是的,但是一定要先进行好测试,二个给我appkey的,我都已经帮您调整为全量更新啦。

36人才
36人才 发表于 2014-11-6 17:09:40 | 显示全部楼层
push更新 发表于 2014-9-28 13:10
是的,但是一定要先进行好测试,二个给我appkey的,我都已经帮您调整为全量更新啦。 ...

看一下私信,请确认其中有一个是不是也是全量更新?



金小刚
金小刚 发表于 2014-11-14 19:15:30 | 显示全部楼层
12下一页
您需要登录后才可以发帖 登录 | 立即注册

本版积分规则

发表主题

精彩推荐

【报错必看】微信您的应用签名不正确,请去微信后台确认
微信如果提示这个错误,请查看debug日志: 箭头所指的为你当前应用的签名及包名,然后打开你的微信后台
无法检测设备有效性
无法检测设备有效性
自定义事件有消息数量,却看不到详情
集成都是OK的,能看到自定义事件的消息数量。却看不到详细的详情。 总是显示数据无法加载,稍后重试。

关注我们

新浪微博
微信

欢迎关注友盟官方微博微信!

在线客服
返回顶部 返回列表